Package com.io7m.waxmill.machines

# Class WXMDeviceFramebuffer.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMDeviceFramebuffer.Builder

Enclosing class:
  WXMDeviceFramebuffer

    public static final class WXMDeviceFramebuffer.Builder
    extends java.lang.Object

Builds instances of type `WXMDeviceFramebuffer`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMDeviceFramebuffer` | `build()` | Builds a new `WXMDeviceFramebuffer`.
  `WXMDeviceFramebuffer.Builder` | `from​(WXMDeviceType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType` instance.
  `WXMDeviceFramebuffer.Builder` | `from​(WXMDeviceType.WXMDeviceFramebufferType instance)` | Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType.WXMDeviceFramebufferType` instance.
  `WXMDeviceFramebuffer.Builder` | `setComment​(java.lang.String comment)` | Initializes the value for the `comment` attribute.
  `WXMDeviceFramebuffer.Builder` | `setDeviceSlot​(WXMDeviceSlot deviceSlot)` | Initializes the value for the `deviceSlot` attribute.
  `WXMDeviceFramebuffer.Builder` | `setHeight​(int height)` | Initializes the value for the `height` attribute.
  `WXMDeviceFramebuffer.Builder` | `setListenAddress​(java.net.InetAddress listenAddress)` | Initializes the value for the `listenAddress` attribute.
  `WXMDeviceFramebuffer.Builder` | `setListenPort​(int listenPort)` | Initializes the value for the `listenPort` attribute.
  `WXMDeviceFramebuffer.Builder` | `setVgaConfiguration​(WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration vgaConfiguration)` | Initializes the value for the `vgaConfiguration` attribute.
  `WXMDeviceFramebuffer.Builder` | `setWaitForVNC​(boolean waitForVNC)` | Initializes the value for the `waitForVNC` attribute.
  `WXMDeviceFramebuffer.Builder` | `setWidth​(int width)` | Initializes the value for the `width` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMDeviceFramebuffer.Builder from​(WXMDeviceType.WXMDeviceFramebufferType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType.WXMDeviceFramebufferType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final WXMDeviceFramebuffer.Builder from​(WXMDeviceType instance)
    Fill a builder with attribute values from the provided `com.io7m.waxmill.machines.WXMDeviceType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setComment

    public final WXMDeviceFramebuffer.Builder setComment​(java.lang.String comment)
    Initializes the value for the `comment` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `comment`.

    Parameters:
      `comment` - The value for comment
    Returns:
      `this` builder for use in a chained invocation

  - ### setDeviceSlot

    public final WXMDeviceFramebuffer.Builder setDeviceSlot​(WXMDeviceSlot deviceSlot)
    Initializes the value for the `deviceSlot` attribute.
    Parameters:
      `deviceSlot` - The value for deviceSlot
    Returns:
      `this` builder for use in a chained invocation

  - ### setListenAddress

    public final WXMDeviceFramebuffer.Builder setListenAddress​(java.net.InetAddress listenAddress)
    Initializes the value for the `listenAddress` attribute.
    Parameters:
      `listenAddress` - The value for listenAddress
    Returns:
      `this` builder for use in a chained invocation

  - ### setListenPort

    public final WXMDeviceFramebuffer.Builder setListenPort​(int listenPort)
    Initializes the value for the `listenPort` attribute.
    Parameters:
      `listenPort` - The value for listenPort
    Returns:
      `this` builder for use in a chained invocation

  - ### setWidth

    public final WXMDeviceFramebuffer.Builder setWidth​(int width)
    Initializes the value for the `width` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `width`.

    Parameters:
      `width` - The value for width
    Returns:
      `this` builder for use in a chained invocation

  - ### setHeight

    public final WXMDeviceFramebuffer.Builder setHeight​(int height)
    Initializes the value for the `height` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `height`.

    Parameters:
      `height` - The value for height
    Returns:
      `this` builder for use in a chained invocation

  - ### setVgaConfiguration

    public final WXMDeviceFramebuffer.Builder setVgaConfiguration​(WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration vgaConfiguration)
    Initializes the value for the `vgaConfiguration` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `vgaConfiguration`.

    Parameters:
      `vgaConfiguration` - The value for vgaConfiguration
    Returns:
      `this` builder for use in a chained invocation

  - ### setWaitForVNC

    public final WXMDeviceFramebuffer.Builder setWaitForVNC​(boolean waitForVNC)
    Initializes the value for the `waitForVNC` attribute.
    Parameters:
      `waitForVNC` - The value for waitForVNC
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMDeviceFramebuffer build()
    Builds a new `WXMDeviceFramebuffer`.
    Returns:
      An immutable instance of WXMDeviceFramebuffer
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing